Bug 819475 - Importing "import java.util.TreeMap" to a package causes java.lang.NullPointerException at SuggestionCompletionEngineBuilder
Importing "import java.util.TreeMap" to a package causes java.lang.NullPointe...
Status: VERIFIED
Product: JBoss Enterprise BRMS Platform 5
Classification: JBoss
Component: BRM (Guvnor) (Show other bugs)
BRMS 5.2.0.GA
All All
medium Severity high
: ---
: ---
Assigned To: manstis
Jiri Locker
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-07 07:04 EDT by Musharraf Hussain
Modified: 2014-10-26 21:14 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
An error in the handling of generic type parameters caused a java.lang.NullPointerException to occur when building a SuggestionCompletionEngine due to an unhandled null generic parameter type. This has been resolved by improving the handling of generic type parameters, and java.util.TreeMap can now be imported.
Story Points: ---
Clone Of:
Environment:
Red Hat Enterprise Linux 5.x JBoss Enterprise BRMS 5.2.0
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
screenshot-BRM issue (136.50 KB, image/png)
2012-05-08 06:50 EDT, Musharraf Hussain
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker GUVNOR-1891 Major Resolved Importing "import java.util.TreeMap" to a package causes java.lang.NullPointerException at SuggestionCompletionEngineBui... 2013-02-22 01:19:38 EST

  None (edit)
Comment 1 Musharraf Hussain 2012-05-08 05:15:59 EDT
Just tested it on Guvnor 5.3.0.Final and this issue is still there on that.
Comment 2 Musharraf Hussain 2012-05-08 05:47:28 EDT
Workaround
-----------
In order to overcome the issue follow the below steps :

[Knowledge Bases] -> [Packages] -> click on the package name (say: defaultPackage) -> click on tab [Edit] -> [Configuration] -> Remove the following line:

   import java.util.TreeMap;

-> [Save changes]
Comment 3 JBoss JIRA Server 2012-05-08 05:57:51 EDT
Musharraf Hussain <mhussain@redhat.com> made a comment on jira GUVNOR-1891

Screenshot-JBoss BRMS_issue.png
Comment 4 JBoss JIRA Server 2012-05-08 06:43:42 EDT
Musharraf Hussain <mhussain@redhat.com> made a comment on jira GUVNOR-1891

Screenshot-JBoss BRMS_issue.png
Comment 5 Musharraf Hussain 2012-05-08 06:50:34 EDT
Created attachment 582958 [details]
screenshot-BRM issue
Comment 6 JBoss JIRA Server 2012-06-03 17:34:37 EDT
Michael Anstis <michael.anstis@gmail.com> updated the status of jira GUVNOR-1891 to Resolved
Comment 8 Jiri Locker 2012-09-27 09:28:32 EDT
Fix verified in BRMS 5.3.1.ER1.
Comment 9 Douglas Hoffman 2012-10-17 20:12:49 EDT
Release note content reformatted.

Thanks for providing the text, Mike.

Doug

Note You need to log in before you can comment on or make changes to this bug.